#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  plasma-activities-6.6.1

- Next

  kio-extras-25.12.2

- Up
- Home

# plasma-activities-stats-6.6.1

## Introduction to plasma-activities-stats-6.6.1

The plasma-activities-stats package provides access to the usage data collected by the KDE Activities system. It is normally built with Plasma-6.6.1, but it is included here because it is needed for kio-extras-25.12.2.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/plasma/6.6.1/plasma-activities-stats-6.6.1.tar.xz

- Download MD5 sum: c1f8d27b30fd7d3a2ad5c06629e2dfa9

- Download size: 84 KB

- Estimated disk space required: 4.2 MB

- Estimated build time: 0.1 SBU

### plasma-activities Dependencies

#### Required

plasma-activities-6.6.1

## Installation of plasma-activities-stats

Install plasma-activities-stats by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: None
Installed Libraries: libPlasmaActivitiesStats.so
Installed Directories: $KF6_PREFIX/include/PlasmaActivitiesStats and $KF6_PREFIX/lib/cmake/PlasmaActivitiesStats

- Prev

  plasma-activities-6.6.1

- Next

  kio-extras-25.12.2

- Up
- Home